rpm2cpio.c File Reference
`#include "system.h"`
`#include <rpm/rpmlib.h>`
`#include <rpm/rpmtag.h>`
`#include <rpm/rpmio.h>`
`#include <rpm/rpmpgp.h>`
`#include <rpm/rpmts.h>`
`#include "debug.h"`
Include dependency graph for rpm2cpio.c:

Go to the source code of this file.

## Functions

int | main (int argc, char *argv[])

## Variables

const char * | program_name

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 15 of file rpm2cpio.c.

References _, _RPMVSF_NODIGESTS, _RPMVSF_NOSIGNATURES, Fclose(), fdDup(), Fdopen(), Ferror(), Fopen(), Fstrerror(), headerGetNumber(), headerGetString(), RPMRC_FAIL, RPMRC_NOKEY, RPMRC_NOTFOUND, RPMRC_NOTTRUSTED, RPMRC_OK, rpmReadConfigFiles(), rpmReadPackageFile(), RPMTAG_LONGARCHIVESIZE, RPMTAG_PAYLOADCOMPRESSOR, rpmtsCreate(), rpmtsFree(), rpmtsSetVSFlags(), RPMVSF_NOHDRCHK, rstreq(), rstrscat(), setprogname, and ufdCopy().

## Variable Documentation

## program_name

const char* program_name

Definition at line 4 of file rpm2cpio.c.